#
# TODO:
# - when updating, check if we can get rid of -no-save-flag patch in targetcli
#
# Conditional build:
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define module	rtslib_fb
Summary:	Python library for configuring the Linux kernel-based multiprotocol SCSI target (LIO)
Name:		python-rtslib-fb
Version:	2.1.fb63
Release:	2
License:	Apache v2.0
Group:		Libraries/Python
Source0:	https://codeload.github.com/open-iscsi/rtslib-fb/tar.gz/v%{version}
# Source0-md5:	7fb48bee32a4ed961a4cd885184a9bb3
URL:		https://github.com/open-iscsi/rtslib-fb
BuildRequires:	python-distribute
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
BuildRequires:	sed >= 4.0
%if %{with python3}
BuildRequires:	python3-distribute
BuildRequires:	python3-modules
%endif
Requires:	python-modules
Requires:	python-pyudev >= 0.16.1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
rtslib-fb is an object-based Python library for configuring the LIO
generic SCSI target, present in 3.x Linux kernel versions.

%package -n python3-rtslib-fb
Summary:	Python library for configuring the Linux kernel-based multiprotocol SCSI target (LIO)
Group:		Libraries/Python
Requires:	python3-pyudev >= 0.16.1

%description -n python3-rtslib-fb
rtslib-fb is an object-based Python library for configuring the LIO
generic SCSI target, present in 3.x Linux kernel versions.

%prep
%setup -q -n rtslib-fb-%{version}

%build
%if %{with python2}
%py_build %{?with_tests:test}
%endif

%if %{with python3}
%py3_build %{?with_tests:test}
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_mandir}/man{5,8}

%if %{with python2}
%py_install

# symlink for old module name
rm -rf $RPM_BUILD_ROOT%{py_sitescriptdir}/rtslib
ln -sf %{py_sitescriptdir}/%{module} $RPM_BUILD_ROOT%{py_sitescriptdir}/rtslib

%py_postclean
%endif

%if %{with python3}
%py3_install

# symlink for old module name
rm -rf $RPM_BUILD_ROOT%{py3_sitescriptdir}/rtslib
ln -sf %{py3_sitescriptdir}/%{module} $RPM_BUILD_ROOT%{py3_sitescriptdir}/rtslib
%endif

cp doc/*.5 $RPM_BUILD_ROOT%{_mandir}/man5/
cp doc/*.8 $RPM_BUILD_ROOT%{_mandir}/man8/

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/targetctl
%doc README.md
%dir %{py_sitescriptdir}/%{module}
%ghost %{py_sitescriptdir}/rtslib
%{py_sitescriptdir}/%{module}/*.py[co]
%if "%{py_ver}" > "2.4"
%{py_sitescriptdir}/rtslib_fb-*.egg-info
%endif
%endif
%{_mandir}/man5/saveconfig.json.5*
%{_mandir}/man8/targetctl.8*

%if %{with python3}
%files -n python3-rtslib-fb
%defattr(644,root,root,755)
%doc README.md
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/rtslib
%{py3_sitescriptdir}/rtslib_fb-*-py*.egg-info
%endif
%changelog
* Mon Oct 28 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-rtslib-fb.git;a=log;h=auto/th/python-rtslib-fb-2.1.fb63-2

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> cd1a671
- rebuild with python 3.8
- release 2 (by relup.sh)

* Thu Feb 07 2019 Adam Gołębiowski <adamg@pld-linux.org> f03abd3
- add note on targetcli-fb patch

* Wed Feb 06 2019 Adam Gołębiowski <adamg@pld-linux.org> c56cf61
- use open-iscsi github organization

* Wed Feb 06 2019 Adam Gołębiowski <adamg@pld-linux.org> d53b44d
- updated to 2.1.fb63
- module name changed to rtslib_fb (in sync with project name)
- keep symlink (instead of copy) for old module name for compatibility,
- R: python{,3}-pyudev

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 82a10fe
- release 5 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 5f6b041
- python 3.6
- release 4 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> a65c9ac
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> aee77ab
- release 3 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 32d3e8a
- automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 184016b
- python3.5 rebuild
- release 2 (by relup.sh)

* Sat Dec 13 2014 Jan Rękorajski <baggins@pld-linux.org> bf74d90
- up to 2.1.fb50

* Sat Jan 04 2014 Jacek Konieczny <jajcus@jajcus.net> dedb394
- new package

